(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("leaflet"));
	else if(typeof define === 'function' && define.amd)
		define(["leaflet"], factory);
	else if(typeof exports === 'object')
		exports["leaflet-vue"] = factory(require("leaflet"));
	else
		root["leaflet-vue"] = factory(root["leaflet"]);
})(this, function(__WEBPACK_EXTERNAL_MODULE_4__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;
/******/
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	
	exports.Map = __webpack_require__(35);
	exports.TileLayer = __webpack_require__(40);
	exports.Marker = __webpack_require__(36);
	exports.Tooltip = __webpack_require__(41);
	exports.Popup = __webpack_require__(39);
	exports.LayerGroup = __webpack_require__(34);
	exports.GeoJson = __webpack_require__(33);
	exports.CircleMarker = __webpack_require__(32);
	exports.Polyline = __webpack_require__(38);
	exports.Polygon = __webpack_require__(37);

/***/ },
/* 1 */
/***/ function(module, exports) {

	'use strict';
	
	module.exports = {
	  mounted: function mounted() {
	    var _this = this;
	
	    this.$lfObj = this.createLeafletObject();
	
	    if (this.$lfObj && this.$lfEventMappings) {
	      this.$lfEventMappings.forEach(function (eventName) {
	        _this.$lfObj.on(eventName, function (ev) {
	          return _this.$emit(eventName, ev);
	        });
	      });
	    }
	
	    if (this.$lfObj && this.$parent && this.$parent.$lfObj) {
	      this.deferredMountedTo(this.$parent.$lfObj);
	    }
	  },
	  methods: {
	    deferredMountedTo: function deferredMountedTo(parent) {
	      this.beforeDeferredMount(parent);
	      if (this.$lfObj) {
	        var newParent = parent;
	        if (this.$parent && this.$parent.$lfObj) {
	          newParent = this.$lfObj;
	        }
	        this.$children.forEach(function (child) {
	          if (child.deferredMountedTo) {
	            child.deferredMountedTo(newParent);
	          }
	        });
	      }
	      this.afterDeferredMount(parent);
	    },
	    createLeafletObject: function createLeafletObject() {
	      return null;
	    },
	    mapLeafletEvents: function mapLeafletEvents(mappings) {
	      this.$lfEventMappings = this.$lfEventMappings || [];
	      if (typeof mappings === 'function') {
	        mappings = mappings();
	      }
	      this.$lfEventMappings = this.$lfEventMappings.concat(mappings);
	    },
	    beforeDeferredMount: function beforeDeferredMount(parent) {},
	    afterDeferredMount: function afterDeferredMount(parent) {}
	  }
	};

/***/ },
/* 2 */
/***/ function(module, exports) {

	'use strict';
	
	module.exports = {
	  created: function created() {
	    this.mapLeafletEvents(['popupopen', 'popupclose', 'tooltipopen', 'tooltipclose']);
	  }
	};

/***/ },
/* 3 */
/***/ function(module, exports) {

	module.exports = function normalizeComponent (
	  rawScriptExports,
	  compiledTemplate,
	  scopeId,
	  cssModules
	) {
	  var esModule
	  var scriptExports = rawScriptExports = rawScriptExports || {}
	
	  // ES6 modules interop
	  var type = typeof rawScriptExports.default
	  if (type === 'object' || type === 'function') {
	    esModule = rawScriptExports
	    scriptExports = rawScriptExports.default
	  }
	
	  // Vue.extend constructor export interop
	  var options = typeof scriptExports === 'function'
	    ? scriptExports.options
	    : scriptExports
	
	  // render functions
	  if (compiledTemplate) {
	    options.render = compiledTemplate.render
	    options.staticRenderFns = compiledTemplate.staticRenderFns
	  }
	
	  // scopedId
	  if (scopeId) {
	    options._scopeId = scopeId
	  }
	
	  // inject cssModules
	  if (cssModules) {
	    var computed = options.computed || (options.computed = {})
	    Object.keys(cssModules).forEach(function (key) {
	      var module = cssModules[key]
	      computed[key] = function () { return module }
	    })
	  }
	
	  return {
	    esModule: esModule,
	    exports: scriptExports,
	    options: options
	  }
	}


/***/ },
/* 4 */
/***/ function(module, exports) {

	module.exports = require("leaflet");

/***/ },
/* 5 */
/***/ function(module, exports) {

	'use strict';
	
	module.exports = {
	  created: function created() {
	    this.mapLeafletEvents(['add', 'remove']);
	  },
	  beforeDestroy: function beforeDestroy() {
	    this.removeFromParent();
	  },
	
	  methods: {
	    beforeDeferredMount: function beforeDeferredMount(parent) {
	      this.addToParent(parent);
	    },
	    addToParent: function addToParent(parent) {
	      if (this.$lfObj && parent) {
	        this.$lfParent = parent;
	        if (!this.$lfParent.hasLayer(this.$lfObj)) {
	          this.$lfObj.addTo(this.$lfParent);
	        }
	      }
	    },
	    removeFromParent: function removeFromParent() {
	      var parentObj = null;
	      if (this.$lfObj && this.$lfParent) {
	        parentObj = this.$lfParent;
	        if (this.$lfParent.hasLayer(this.$lfObj)) {
	          this.$lfParent.removeLayer(this.$lfObj);
	        }
	        this.$lfParent = null;
	      }
	      return parentObj;
	    }
	  }
	};

/***/ },
/* 6 */
/***/ function(module, exports) {

	"use strict";
	
	module.exports = {
	  props: {
	    zIndex: {
	      type: Number,
	      default: 1
	    },
	    pane: {
	      type: String,
	      default: null
	    },
	    attribution: {
	      type: String,
	      default: null
	    }
	  },
	  methods: {
	    setZIndex: function setZIndex(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setZIndex(newVal);
	      }
	    }
	  },
	  watch: {
	    zIndex: function zIndex(newVal, oldVal) {
	      this.setZIndex(newVal, oldVal);
	    }
	  }
	};

/***/ },
/* 7 */
/***/ function(module, exports) {

	"use strict";
	
	module.exports = {
	  props: {
	    visible: {
	      type: Boolean,
	      default: true
	    }
	  },
	  methods: {
	    beforeDeferredMount: function beforeDeferredMount(parent) {
	      this.$lfParent = parent;
	      if (this.visible) {
	        this.addToParent(parent);
	      }
	    },
	    setVisible: function setVisible(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (newVal) {
	        this.addToParent(this.$lfParent);
	      } else {
	        this.$lfParent = this.removeFromParent();
	      }
	    }
	  },
	  watch: {
	    visible: function visible(newVal, oldVal) {
	      this.setVisible(newVal, oldVal);
	    }
	  }
	};

/***/ },
/* 8 */
/***/ function(module, exports) {

	"use strict";
	
	module.exports = {
	  methods: {
	    getBounds: function getBounds() {
	      if (this.$lfObj) {
	        return this.$lfObj.getBounds();
	      }
	      return null;
	    }
	  }
	};

/***/ },
/* 9 */
/***/ function(module, exports) {

	"use strict";
	
	module.exports = {
	  props: {
	    latLng: {
	      custom: true,
	      default: function _default() {
	        return [0, 0];
	      }
	    }
	  },
	  methods: {
	    setLatLng: function setLatLng(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setLatLng(newVal);
	      }
	    }
	  },
	  watch: {
	    latLng: function latLng(newVal, oldVal) {
	      this.setLatLng(newVal, oldVal);
	    }
	  }
	};

/***/ },
/* 10 */
/***/ function(module, exports) {

	'use strict';
	
	module.exports = {
	  created: function created() {
	    this.mapLeafletEvents(['layeradd', 'layerremove']);
	  }
	};

/***/ },
/* 11 */
/***/ function(module, exports) {

	'use strict';
	
	module.exports = {
	  props: {
	    stroke: {
	      type: Boolean,
	      default: true
	    },
	    color: {
	      type: String,
	      custom: true,
	      default: 'red'
	    },
	    weight: {
	      type: Number,
	      default: 3
	    },
	    opacity: {
	      type: Number,
	      default: 1.0
	    },
	    lineCap: {
	      type: String,
	      default: 'round'
	    },
	    lineJoin: {
	      type: String,
	      default: 'round'
	    },
	    dashArray: {
	      type: String,
	      default: null
	    },
	    dashOffset: {
	      type: String,
	      default: null
	    },
	    fill: {
	      type: Boolean
	    },
	    fillColor: {
	      type: String,
	      custom: true
	    },
	    fillOpacity: {
	      type: Number,
	      cdefault: 0.2
	    },
	    fillRule: {
	      type: String,
	      default: 'evenodd'
	    }
	  },
	  methods: {
	    setStroke: function setStroke(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setStyle({ stroke: newVal });
	      }
	    },
	    setColor: function setColor(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setStyle({ color: newVal });
	      }
	    },
	    setWeight: function setWeight(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setStyle({ weight: newVal });
	      }
	    },
	    setOpacity: function setOpacity(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setStyle({ opacity: newVal });
	      }
	    },
	    setLineCap: function setLineCap(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setStyle({ lineCap: newVal });
	      }
	    },
	    setLineJoin: function setLineJoin(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setStyle({ lineJoin: newVal });
	      }
	    },
	    setDashArray: function setDashArray(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setStyle({ dashArray: newVal });
	      }
	    },
	    setDashOffset: function setDashOffset(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setStyle({ dashOffset: newVal });
	      }
	    },
	    setFill: function setFill(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setStyle({ fill: newVal });
	      }
	    },
	    setFillColor: function setFillColor(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setStyle({ fillColor: newVal });
	      }
	    },
	    setFillOpacity: function setFillOpacity(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setStyle({ fillOpacity: newVal });
	      }
	    },
	    setFillRule: function setFillRule(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setStyle({ fillRule: newVal });
	      }
	    }
	  },
	  watch: {
	    stroke: function stroke(newVal, oldVal) {
	      this.setStroke(newVal, oldVal);
	    },
	    color: function color(newVal, oldVal) {
	      this.setColor(newVal, oldVal);
	    },
	    weight: function weight(newVal, oldVal) {
	      this.setWeight(newVal, oldVal);
	    },
	    opacity: function opacity(newVal, oldVal) {
	      this.setOpacity(newVal, oldVal);
	    },
	    lineCap: function lineCap(newVal, oldVal) {
	      this.setLineCap(newVal, oldVal);
	    },
	    lineJoin: function lineJoin(newVal, oldVal) {
	      this.setLineJoin(newVal, oldVal);
	    },
	    dashArray: function dashArray(newVal, oldVal) {
	      this.setDashArray(newVal, oldVal);
	    },
	    dashOffset: function dashOffset(newVal, oldVal) {
	      this.setDashOffset(newVal, oldVal);
	    },
	    fill: function fill(newVal, oldVal) {
	      this.setFill(newVal, oldVal);
	    },
	    fillColor: function fillColor(newVal, oldVal) {
	      this.setFillColor(newVal, oldVal);
	    },
	    fillOpacity: function fillOpacity(newVal, oldVal) {
	      this.setFillOpacity(newVal, oldVal);
	    },
	    fillRule: function fillRule(newVal, oldVal) {
	      this.setFillRule(newVal, oldVal);
	    }
	  }
	};

/***/ },
/* 12 */
/***/ function(module, exports) {

	/*
		MIT License http://www.opensource.org/licenses/mit-license.php
		Author Tobias Koppers @sokra
	*/
	// css base code, injected by the css-loader
	module.exports = function() {
		var list = [];
	
		// return the list of modules as css string
		list.toString = function toString() {
			var result = [];
			for(var i = 0; i < this.length; i++) {
				var item = this[i];
				if(item[2]) {
					result.push("@media " + item[2] + "{" + item[1] + "}");
				} else {
					result.push(item[1]);
				}
			}
			return result.join("");
		};
	
		// import a list of modules into the list
		list.i = function(modules, mediaQuery) {
			if(typeof modules === "string")
				modules = [[null, modules, ""]];
			var alreadyImportedModules = {};
			for(var i = 0; i < this.length; i++) {
				var id = this[i][0];
				if(typeof id === "number")
					alreadyImportedModules[id] = true;
			}
			for(i = 0; i < modules.length; i++) {
				var item = modules[i];
				// skip already imported module
				// this implementation is not 100% perfect for weird media query combinations
				//  when a module is imported multiple times with different media queries.
				//  I hope this will never occur (Hey this way we have smaller bundles)
				if(typeof item[0] !== "number" || !alreadyImportedModules[item[0]]) {
					if(mediaQuery && !item[2]) {
						item[2] = mediaQuery;
					} else if(mediaQuery) {
						item[2] = "(" + item[2] + ") and (" + mediaQuery + ")";
					}
					list.push(item);
				}
			}
		};
		return list;
	};


/***/ },
/* 13 */
/***/ function(module, exports, __webpack_require__) {

	/*
	  MIT License http://www.opensource.org/licenses/mit-license.php
	  Author Tobias Koppers @sokra
	  Modified by Evan You @yyx990803
	*/
	
	var hasDocument = typeof document !== 'undefined'
	
	if (false) {
	  if (!hasDocument) {
	    throw new Error(
	    'vue-style-loader cannot be used in a non-browser environment. ' +
	    "Use { target: 'node' } in your Webpack config to indicate a server-rendering environment."
	  ) }
	}
	
	var listToStyles = __webpack_require__(55)
	
	/*
	type StyleObject = {
	  id: number;
	  parts: Array<StyleObjectPart>
	}
	
	type StyleObjectPart = {
	  css: string;
	  media: string;
	  sourceMap: ?string
	}
	*/
	
	var stylesInDom = {/*
	  [id: number]: {
	    id: number,
	    refs: number,
	    parts: Array<(obj?: StyleObjectPart) => void>
	  }
	*/}
	
	var head = hasDocument && (document.head || document.getElementsByTagName('head')[0])
	var singletonElement = null
	var singletonCounter = 0
	var isProduction = false
	var noop = function () {}
	
	// Force single-tag solution on IE6-9, which has a hard limit on the # of <style>
	// tags it will allow on a page
	var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\b/.test(navigator.userAgent.toLowerCase())
	
	module.exports = function (parentId, list, _isProduction) {
	  isProduction = _isProduction
	
	  var styles = listToStyles(parentId, list)
	  addStylesToDom(styles)
	
	  return function update (newList) {
	    var mayRemove = []
	    for (var i = 0; i < styles.length; i++) {
	      var item = styles[i]
	      var domStyle = stylesInDom[item.id]
	      domStyle.refs--
	      mayRemove.push(domStyle)
	    }
	    if (newList) {
	      styles = listToStyles(parentId, newList)
	      addStylesToDom(styles)
	    } else {
	      styles = []
	    }
	    for (var i = 0; i < mayRemove.length; i++) {
	      var domStyle = mayRemove[i]
	      if (domStyle.refs === 0) {
	        for (var j = 0; j < domStyle.parts.length; j++) {
	          domStyle.parts[j]()
	        }
	        delete stylesInDom[domStyle.id]
	      }
	    }
	  }
	}
	
	function addStylesToDom (styles /* Array<StyleObject> */) {
	  for (var i = 0; i < styles.length; i++) {
	    var item = styles[i]
	    var domStyle = stylesInDom[item.id]
	    if (domStyle) {
	      domStyle.refs++
	      for (var j = 0; j < domStyle.parts.length; j++) {
	        domStyle.parts[j](item.parts[j])
	      }
	      for (; j < item.parts.length; j++) {
	        domStyle.parts.push(addStyle(item.parts[j]))
	      }
	      if (domStyle.parts.length > item.parts.length) {
	        domStyle.parts.length = item.parts.length
	      }
	    } else {
	      var parts = []
	      for (var j = 0; j < item.parts.length; j++) {
	        parts.push(addStyle(item.parts[j]))
	      }
	      stylesInDom[item.id] = { id: item.id, refs: 1, parts: parts }
	    }
	  }
	}
	
	function listToStyles (parentId, list) {
	  var styles = []
	  var newStyles = {}
	  for (var i = 0; i < list.length; i++) {
	    var item = list[i]
	    var id = item[0]
	    var css = item[1]
	    var media = item[2]
	    var sourceMap = item[3]
	    var part = { css: css, media: media, sourceMap: sourceMap }
	    if (!newStyles[id]) {
	      part.id = parentId + ':0'
	      styles.push(newStyles[id] = { id: id, parts: [part] })
	    } else {
	      part.id = parentId + ':' + newStyles[id].parts.length
	      newStyles[id].parts.push(part)
	    }
	  }
	  return styles
	}
	
	function createStyleElement () {
	  var styleElement = document.createElement('style')
	  styleElement.type = 'text/css'
	  head.appendChild(styleElement)
	  return styleElement
	}
	
	function addStyle (obj /* StyleObjectPart */) {
	  var update, remove
	  var styleElement = document.querySelector('style[data-vue-ssr-id~="' + obj.id + '"]')
	  var hasSSR = styleElement != null
	
	  // if in production mode and style is already provided by SSR,
	  // simply do nothing.
	  if (hasSSR && isProduction) {
	    return noop
	  }
	
	  if (isOldIE) {
	    // use singleton mode for IE9.
	    var styleIndex = singletonCounter++
	    styleElement = singletonElement || (singletonElement = createStyleElement())
	    update = applyToSingletonTag.bind(null, styleElement, styleIndex, false)
	    remove = applyToSingletonTag.bind(null, styleElement, styleIndex, true)
	  } else {
	    // use multi-style-tag mode in all other cases
	    styleElement = styleElement || createStyleElement()
	    update = applyToTag.bind(null, styleElement)
	    remove = function () {
	      styleElement.parentNode.removeChild(styleElement)
	    }
	  }
	
	  if (!hasSSR) {
	    update(obj)
	  }
	
	  return function updateStyle (newObj /* StyleObjectPart */) {
	    if (newObj) {
	      if (newObj.css === obj.css &&
	          newObj.media === obj.media &&
	          newObj.sourceMap === obj.sourceMap) {
	        return
	      }
	      update(obj = newObj)
	    } else {
	      remove()
	    }
	  }
	}
	
	var replaceText = (function () {
	  var textStore = []
	
	  return function (index, replacement) {
	    textStore[index] = replacement
	    return textStore.filter(Boolean).join('\n')
	  }
	})()
	
	function applyToSingletonTag (styleElement, index, remove, obj) {
	  var css = remove ? '' : obj.css
	
	  if (styleElement.styleSheet) {
	    styleElement.styleSheet.cssText = replaceText(index, css)
	  } else {
	    var cssNode = document.createTextNode(css)
	    var childNodes = styleElement.childNodes
	    if (childNodes[index]) styleElement.removeChild(childNodes[index])
	    if (childNodes.length) {
	      styleElement.insertBefore(cssNode, childNodes[index])
	    } else {
	      styleElement.appendChild(cssNode)
	    }
	  }
	}
	
	function applyToTag (styleElement, obj) {
	  var css = obj.css
	  var media = obj.media
	  var sourceMap = obj.sourceMap
	
	  if (media) {
	    styleElement.setAttribute('media', media)
	  }
	
	  if (sourceMap) {
	    // https://developer.chrome.com/devtools/docs/javascript-debugging
	    // this makes source maps inside style tags work properly in Chrome
	    css += '\n/*# sourceURL=' + sourceMap.sources[0] + ' */'
	    // http://stackoverflow.com/a/26603875
	    css += '\n/*# sourceMappingURL=data:application/json;base64,' + btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap)))) + ' */'
	  }
	
	  if (styleElement.styleSheet) {
	    styleElement.styleSheet.cssText = css
	  } else {
	    while (styleElement.firstChild) {
	      styleElement.removeChild(styleElement.firstChild)
	    }
	    styleElement.appendChild(document.createTextNode(css))
	  }
	}


/***/ },
/* 14 */
/***/ function(module, exports) {

	'use strict';
	
	module.exports = {
	  props: {
	    content: {
	      type: String,
	      default: ''
	    }
	  },
	  methods: {
	    setContent: function setContent(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setContent(newVal);
	      }
	    }
	  },
	  watch: {
	    content: function content(newVal, oldVal) {
	      this.setContent(newVal, oldVal);
	    }
	  }
	};

/***/ },
/* 15 */
/***/ function(module, exports) {

	"use strict";
	
	module.exports = {
	  props: {
	    offset: {
	      custom: true,
	      default: function _default() {
	        return null;
	      }
	    }
	  }
	};

/***/ },
/* 16 */
/***/ function(module, exports) {

	"use strict";
	
	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	exports.default = {
	  props: {
	    latLngs: {
	      type: Array,
	      default: []
	    },
	    smoothFactor: {
	      type: Number,
	      default: 1.0
	    },
	    noClip: {
	      type: Boolean,
	      default: false
	    }
	  },
	  methods: {
	    setLatLngs: function setLatLngs(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setLatLngs(newVal);
	      }
	    },
	    addLatLng: function addLatLng(latLng) {
	      if (this.$lfObj && latLng) {
	        this.$lfObj.addLatLng(latLng);
	      }
	    }
	  },
	  watch: {
	    latLngs: function latLngs(newVal, oldVal) {
	      this.setLatLngs(newVal, oldVal);
	    }
	  }
	};

/***/ },
/* 17 */
/***/ function(module, exports) {

	"use strict";
	
	module.exports = {
	  methods: {
	    toGeoJson: function toGeoJson() {
	      if (this.$lfObj) {
	        return this.$lfObj.toGeoJSON();
	      }
	      return null;
	    }
	  }
	};

/***/ },
/* 18 */
/***/ function(module, exports) {

	"use strict";
	
	module.exports = {
	  props: {
	    minZoom: {
	      type: Number,
	      default: 0
	    },
	    maxZoom: {
	      type: Number,
	      default: 20
	    }
	  },
	  methods: {
	    setMinZoom: function setMinZoom(newVal, oldVal) {
	      if (newVal === oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setMinZoom(newVal);
	      }
	    },
	    setMaxZoom: function setMaxZoom(newVal, oldVal) {
	      if (newVal === oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setMaxZoom(newVal);
	      }
	    }
	  },
	  watch: {
	    minZoom: function minZoom(newVal, oldVal) {
	      this.setMinZoom(newVal, oldVal);
	    },
	    maxZoom: function maxZoom(newVal, oldVal) {
	      this.setMaxZoom(newVal, oldVal);
	    }
	  }
	};

/***/ },
/* 19 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	
	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	
	var _leaflet = __webpack_require__(4);
	
	var _leaflet2 = _interopRequireDefault(_leaflet);
	
	var _LeafletObject = __webpack_require__(1);
	
	var _LeafletObject2 = _interopRequireDefault(_LeafletObject);
	
	var _AddToParent = __webpack_require__(5);
	
	var _AddToParent2 = _interopRequireDefault(_AddToParent);
	
	var _OverlayContainer = __webpack_require__(2);
	
	var _OverlayContainer2 = _interopRequireDefault(_OverlayContainer);
	
	var _Layer = __webpack_require__(6);
	
	var _Layer2 = _interopRequireDefault(_Layer);
	
	var _Visibility = __webpack_require__(7);
	
	var _Visibility2 = _interopRequireDefault(_Visibility);
	
	var _Path = __webpack_require__(11);
	
	var _Path2 = _interopRequireDefault(_Path);
	
	var _GetBounds = __webpack_require__(8);
	
	var _GetBounds2 = _interopRequireDefault(_GetBounds);
	
	var _AtLatLng = __webpack_require__(9);
	
	var _AtLatLng2 = _interopRequireDefault(_AtLatLng);
	
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	
	exports.default = {
	  mixins: [_LeafletObject2.default, _AddToParent2.default, _OverlayContainer2.default, _Layer2.default, _Visibility2.default, _Path2.default, _GetBounds2.default, _AtLatLng2.default],
	  props: {
	    radius: {
	      type: Number,
	      default: 10
	    }
	  },
	  methods: {
	    createLeafletObject: function createLeafletObject() {
	      console.debug("Creating circle marker...");
	      return _leaflet2.default.circleMarker(this.latLng, {
	        radius: this.radius,
	        stroke: this.stroke,
	        color: this.color,
	        weight: this.weight,
	        opacity: this.opacity,
	        lineCap: this.lineCap,
	        lineJoin: this.lineJoin,
	        dashArray: this.dashArray,
	        dashOffset: this.dashOffset,
	        fill: this.fill || true,
	        fillColor: this.fillColor,
	        fillOpacity: this.fillOpacity,
	        fillRule: this.fillRule,
	        pane: this.pane || 'overlayPane'
	      });
	    },
	    setRadius: function setRadius(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setRadius(newVal);
	      }
	    }
	  },
	  watch: {
	    radius: function radius(newVal, oldVal) {
	      this.setRadius(newVal, oldVal);
	    }
	  }
	};

/***/ },
/* 20 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	
	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	
	var _leaflet = __webpack_require__(4);
	
	var _leaflet2 = _interopRequireDefault(_leaflet);
	
	var _LeafletObject = __webpack_require__(1);
	
	var _LeafletObject2 = _interopRequireDefault(_LeafletObject);
	
	var _AddToParent = __webpack_require__(5);
	
	var _AddToParent2 = _interopRequireDefault(_AddToParent);
	
	var _OverlayContainer = __webpack_require__(2);
	
	var _OverlayContainer2 = _interopRequireDefault(_OverlayContainer);
	
	var _Layer = __webpack_require__(6);
	
	var _Layer2 = _interopRequireDefault(_Layer);
	
	var _LayerContainer = __webpack_require__(10);
	
	var _LayerContainer2 = _interopRequireDefault(_LayerContainer);
	
	var _Visibility = __webpack_require__(7);
	
	var _Visibility2 = _interopRequireDefault(_Visibility);
	
	var _ToGeoJson = __webpack_require__(17);
	
	var _ToGeoJson2 = _interopRequireDefault(_ToGeoJson);
	
	var _GetBounds = __webpack_require__(8);
	
	var _GetBounds2 = _interopRequireDefault(_GetBounds);
	
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	
	exports.default = {
	  mixins: [_LeafletObject2.default, _AddToParent2.default, _OverlayContainer2.default, _Layer2.default, _LayerContainer2.default, _Visibility2.default, _ToGeoJson2.default, _GetBounds2.default],
	  props: {
	    geojsonData: {
	      type: Object,
	      default: null
	    },
	    featureStyle: {
	      custom: true
	    },
	    onEachFeature: {
	      object: Function
	    },
	    filter: {
	      object: Function
	    },
	    coordsToLatLng: {
	      object: Function
	    }
	  },
	  methods: {
	    createLeafletObject: function createLeafletObject() {
	      console.debug("Creating geojson...");
	      return _leaflet2.default.geoJSON(this.geojsonData, {
	        style: this.featureStyle,
	        onEachFeature: this.onEachFeature,
	        filter: this.filter,
	        coordsToLatLng: this.coordsToLatLng,
	        pane: this.pane || 'overlayPane',
	        attribution: this.attribution
	      });
	    },
	    setGeoJsonData: function setGeoJsonData(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.clearLayers();
	        this.$lfObj.addData(newVal);
	      }
	    },
	    setFeatureStyle: function setFeatureStyle(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setStyle(newVal);
	      }
	    }
	  },
	  watch: {
	    geojsonData: function geojsonData(newVal, oldVal) {
	      this.setGeoJsonData(newVal, oldVal);
	    },
	    featureStyle: function featureStyle(newVal, oldVal) {
	      this.setFeatureStyle(newVal, oldVal);
	    }
	  }
	};

/***/ },
/* 21 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	
	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	
	var _leaflet = __webpack_require__(4);
	
	var _leaflet2 = _interopRequireDefault(_leaflet);
	
	var _LeafletObject = __webpack_require__(1);
	
	var _LeafletObject2 = _interopRequireDefault(_LeafletObject);
	
	var _AddToParent = __webpack_require__(5);
	
	var _AddToParent2 = _interopRequireDefault(_AddToParent);
	
	var _OverlayContainer = __webpack_require__(2);
	
	var _OverlayContainer2 = _interopRequireDefault(_OverlayContainer);
	
	var _Layer = __webpack_require__(6);
	
	var _Layer2 = _interopRequireDefault(_Layer);
	
	var _LayerContainer = __webpack_require__(10);
	
	var _LayerContainer2 = _interopRequireDefault(_LayerContainer);
	
	var _Visibility = __webpack_require__(7);
	
	var _Visibility2 = _interopRequireDefault(_Visibility);
	
	var _ToGeoJson = __webpack_require__(17);
	
	var _ToGeoJson2 = _interopRequireDefault(_ToGeoJson);
	
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	
	exports.default = {
	  mixins: [_LeafletObject2.default, _AddToParent2.default, _OverlayContainer2.default, _Layer2.default, _LayerContainer2.default, _Visibility2.default, _ToGeoJson2.default],
	  methods: {
	    createLeafletObject: function createLeafletObject() {
	      console.debug("Creating layer group...");
	      return _leaflet2.default.layerGroup();
	    }
	  }
	};

/***/ },
/* 22 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	
	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	
	var _leaflet = __webpack_require__(4);
	
	var _leaflet2 = _interopRequireDefault(_leaflet);
	
	var _LeafletObject = __webpack_require__(1);
	
	var _LeafletObject2 = _interopRequireDefault(_LeafletObject);
	
	var _LayerContainer = __webpack_require__(10);
	
	var _LayerContainer2 = _interopRequireDefault(_LayerContainer);
	
	var _OverlayContainer = __webpack_require__(2);
	
	var _OverlayContainer2 = _interopRequireDefault(_OverlayContainer);
	
	var _ZoomMaxMin = __webpack_require__(18);
	
	var _ZoomMaxMin2 = _interopRequireDefault(_ZoomMaxMin);
	
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	
	exports.default = {
	  mixins: [_LeafletObject2.default, _LayerContainer2.default, _OverlayContainer2.default, _ZoomMaxMin2.default],
	  props: {
	    center: {
	      custom: true,
	      default: null
	    },
	    zoom: {
	      type: Number,
	      default: 10
	    },
	    worldCopyJump: {
	      type: Boolean,
	      default: false
	    }
	  },
	  created: function created() {
	    this.mapLeafletEvents(['baselayerchange', 'overlayadd', 'overlayremove', 'zoomlevelschange', 'resize', 'unload', 'viewreset', 'load', 'zoomstart', 'movestart', 'zoom', 'move', 'zoomend', 'moveend', 'autopanstart', 'zoomanim', 'click', 'dblclick', 'mousedown', 'mouseover', 'mouseout', 'contextmenu']);
	  },
	
	  mounted: function mounted() {
	    this.deferredMountedTo(this.$lfObj);
	  },
	  methods: {
	    createLeafletObject: function createLeafletObject() {
	      console.debug("Creating map...");
	      return _leaflet2.default.map(this.$el, {
	        center: this.center,
	        zoom: this.zoom,
	        minZoom: this.minZoom,
	        maxZoom: this.maxZoom,
	        worldCopyJump: this.worldCopyJump
	      });
	    },
	    afterDeferredMount: function afterDeferredMount(parent) {
	      if (this.$lfObj) {
	        this.$lfObj.whenReady(function () {
	          this.$emit('ready');
	        }, this);
	      }
	    },
	    panTo: function panTo(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.panTo(newVal);
	      }
	    },
	    setZoom: function setZoom(newVal, oldVal) {
	      if (newVal === oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setZoom(newVal);
	      }
	    }
	  },
	  watch: {
	    center: function center(newVal, oldVal) {
	      this.panTo(newVal, oldVal);
	    },
	    zoom: function zoom(newVal, oldVal) {
	      this.setZoom(newVal, oldVal);
	    }
	  }
	};

/***/ },
/* 23 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	
	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	
	var _leaflet = __webpack_require__(4);
	
	var _leaflet2 = _interopRequireDefault(_leaflet);
	
	var _LeafletObject = __webpack_require__(1);
	
	var _LeafletObject2 = _interopRequireDefault(_LeafletObject);
	
	var _AddToParent = __webpack_require__(5);
	
	var _AddToParent2 = _interopRequireDefault(_AddToParent);
	
	var _OverlayContainer = __webpack_require__(2);
	
	var _OverlayContainer2 = _interopRequireDefault(_OverlayContainer);
	
	var _Layer = __webpack_require__(6);
	
	var _Layer2 = _interopRequireDefault(_Layer);
	
	var _Visibility = __webpack_require__(7);
	
	var _Visibility2 = _interopRequireDefault(_Visibility);
	
	var _AtLatLng = __webpack_require__(9);
	
	var _AtLatLng2 = _interopRequireDefault(_AtLatLng);
	
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	
	exports.default = {
	  mixins: [_LeafletObject2.default, _AddToParent2.default, _OverlayContainer2.default, _Layer2.default, _Visibility2.default, _AtLatLng2.default],
	  props: {
	    icon: {
	      custom: false,
	      default: function _default() {
	        return new _leaflet2.default.Icon.Default();
	      }
	    },
	    draggable: {
	      type: Boolean,
	      default: false
	    }
	  },
	  created: function created() {
	    this.mapLeafletEvents(['move', 'dragstart', 'movestart', 'drag', 'dragend', 'moveend']);
	  },
	
	  methods: {
	    createLeafletObject: function createLeafletObject() {
	      console.debug("Creating marker...");
	      return _leaflet2.default.marker(this.latLng, {
	        draggable: this.draggable,
	        icon: this.icon,
	        pane: this.pane || 'markerPane'
	      });
	    },
	    setIcon: function setIcon(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setIcon(newVal);
	      }
	    },
	    setDraggable: function setDraggable(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj && this.$lfObj.dragging) {
	        newVal ? this.$lfObj.dragging.enable() : this.$lfObj.dragging.disable();
	      }
	    }
	  },
	  watch: {
	    icon: function icon(newVal, oldVal) {
	      this.setIcon(newVal, oldVal);
	    },
	    draggable: function draggable(newVal, oldVal) {
	      this.setDraggable(newVal, oldVal);
	    }
	  }
	};

/***/ },
/* 24 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	
	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	
	var _leaflet = __webpack_require__(4);
	
	var _leaflet2 = _interopRequireDefault(_leaflet);
	
	var _LeafletObject = __webpack_require__(1);
	
	var _LeafletObject2 = _interopRequireDefault(_LeafletObject);
	
	var _AddToParent = __webpack_require__(5);
	
	var _AddToParent2 = _interopRequireDefault(_AddToParent);
	
	var _OverlayContainer = __webpack_require__(2);
	
	var _OverlayContainer2 = _interopRequireDefault(_OverlayContainer);
	
	var _Layer = __webpack_require__(6);
	
	var _Layer2 = _interopRequireDefault(_Layer);
	
	var _Visibility = __webpack_require__(7);
	
	var _Visibility2 = _interopRequireDefault(_Visibility);
	
	var _Path = __webpack_require__(11);
	
	var _Path2 = _interopRequireDefault(_Path);
	
	var _GetBounds = __webpack_require__(8);
	
	var _GetBounds2 = _interopRequireDefault(_GetBounds);
	
	var _Shape = __webpack_require__(16);
	
	var _Shape2 = _interopRequireDefault(_Shape);
	
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	
	exports.default = {
	  mixins: [_LeafletObject2.default, _AddToParent2.default, _OverlayContainer2.default, _Layer2.default, _Visibility2.default, _Path2.default, _GetBounds2.default, _Shape2.default],
	  methods: {
	    createLeafletObject: function createLeafletObject() {
	      console.debug("Creating polygon...");
	      return _leaflet2.default.polygon(this.latLngs, {
	        smoothFactor: this.smoothFactor,
	        noClip: this.noClip,
	        stroke: this.stroke,
	        color: this.color,
	        weight: this.weight,
	        opacity: this.opacity,
	        lineCap: this.lineCap,
	        lineJoin: this.lineJoin,
	        dashArray: this.dashArray,
	        dashOffset: this.dashOffset,
	        fill: this.fill || true,
	        fillColor: this.fillColor,
	        fillOpacity: this.fillOpacity,
	        fillRule: this.fillRule,
	        pane: this.pane || 'overlayPane'
	      });
	    }
	  }
	};

/***/ },
/* 25 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	
	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	
	var _leaflet = __webpack_require__(4);
	
	var _leaflet2 = _interopRequireDefault(_leaflet);
	
	var _LeafletObject = __webpack_require__(1);
	
	var _LeafletObject2 = _interopRequireDefault(_LeafletObject);
	
	var _AddToParent = __webpack_require__(5);
	
	var _AddToParent2 = _interopRequireDefault(_AddToParent);
	
	var _OverlayContainer = __webpack_require__(2);
	
	var _OverlayContainer2 = _interopRequireDefault(_OverlayContainer);
	
	var _Layer = __webpack_require__(6);
	
	var _Layer2 = _interopRequireDefault(_Layer);
	
	var _Visibility = __webpack_require__(7);
	
	var _Visibility2 = _interopRequireDefault(_Visibility);
	
	var _Path = __webpack_require__(11);
	
	var _Path2 = _interopRequireDefault(_Path);
	
	var _GetBounds = __webpack_require__(8);
	
	var _GetBounds2 = _interopRequireDefault(_GetBounds);
	
	var _Shape = __webpack_require__(16);
	
	var _Shape2 = _interopRequireDefault(_Shape);
	
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	
	exports.default = {
	  mixins: [_LeafletObject2.default, _AddToParent2.default, _OverlayContainer2.default, _Layer2.default, _Visibility2.default, _Path2.default, _GetBounds2.default, _Shape2.default],
	  methods: {
	    createLeafletObject: function createLeafletObject() {
	      console.debug("Creating polyline...");
	      return _leaflet2.default.polyline(this.latLngs, {
	        smoothFactor: this.smoothFactor,
	        noClip: this.noClip,
	        stroke: this.stroke,
	        color: this.color,
	        weight: this.weight,
	        opacity: this.opacity,
	        lineCap: this.lineCap,
	        lineJoin: this.lineJoin,
	        dashArray: this.dashArray,
	        dashOffset: this.dashOffset,
	        fill: this.fill,
	        fillColor: this.fillColor,
	        fillOpacity: this.fillOpacity,
	        fillRule: this.fillRule,
	        pane: this.pane || 'overlayPane'
	      });
	    }
	  }
	};

/***/ },
/* 26 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	
	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	
	var _leaflet = __webpack_require__(4);
	
	var _leaflet2 = _interopRequireDefault(_leaflet);
	
	var _LeafletObject = __webpack_require__(1);
	
	var _LeafletObject2 = _interopRequireDefault(_LeafletObject);
	
	var _AddToParent = __webpack_require__(5);
	
	var _AddToParent2 = _interopRequireDefault(_AddToParent);
	
	var _OverlayContainer = __webpack_require__(2);
	
	var _OverlayContainer2 = _interopRequireDefault(_OverlayContainer);
	
	var _Layer = __webpack_require__(6);
	
	var _Layer2 = _interopRequireDefault(_Layer);
	
	var _DivOverlay = __webpack_require__(15);
	
	var _DivOverlay2 = _interopRequireDefault(_DivOverlay);
	
	var _ContentEditable = __webpack_require__(14);
	
	var _ContentEditable2 = _interopRequireDefault(_ContentEditable);
	
	var _AtLatLng = __webpack_require__(9);
	
	var _AtLatLng2 = _interopRequireDefault(_AtLatLng);
	
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	
	exports.default = {
	  mixins: [_LeafletObject2.default, _AddToParent2.default, _OverlayContainer2.default, _Layer2.default, _DivOverlay2.default, _ContentEditable2.default, _AtLatLng2.default],
	  props: {
	    autoPan: {
	      type: Boolean,
	      default: true
	    },
	    keepInView: {
	      type: Boolean,
	      default: false
	    },
	    closeButton: {
	      type: Boolean,
	      default: true
	    },
	    closeOnClick: {
	      type: Boolean,
	      default: null
	    },
	    autoClose: {
	      type: Boolean,
	      default: true
	    }
	  },
	  methods: {
	    createLeafletObject: function createLeafletObject() {
	      console.debug("Creating popup...");
	      return _leaflet2.default.popup({
	        offset: this.offset || _leaflet2.default.point(0, 7),
	        pane: this.pane || 'popupPane',
	        attribution: this.attribution,
	        autoPan: this.autoPan,
	        keepInView: this.keepInView,
	        closeButton: this.closeButton,
	        closeOnClick: this.closeOnClick,
	        autoClose: this.autoClose
	      }).setContent(this.content).setLatLng(this.latLng);
	    },
	    addToParent: function addToParent(parent) {
	      if (this.$lfObj && parent) {
	        this.$lfParent = parent;
	        if (this.$lfParent.bindPopup) {
	          this.$lfParent.bindPopup(this.$lfObj);
	        } else {
	          this.$lfParent.openPopup(this.$lfObj);
	        }
	      }
	    },
	    removeFromParent: function removeFromParent() {
	      var parentObj = null;
	      if (this.$lfObj && this.$lfParent && (!this.$lfParent.getPopup || this.$lfParent.getPopup() === this.$lfObj)) {
	        parentObj = this.$lfParent;
	        if (this.$lfParent.unbindPopup) {
	          this.$lfParent.unbindPopup();
	        } else {
	          this.$lfParent.closePopup();
	        }
	      }
	      this.$lfParent = null;
	      return parentObj;
	    }
	  }
	};

/***/ },
/* 27 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	
	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	
	var _leaflet = __webpack_require__(4);
	
	var _leaflet2 = _interopRequireDefault(_leaflet);
	
	var _LeafletObject = __webpack_require__(1);
	
	var _LeafletObject2 = _interopRequireDefault(_LeafletObject);
	
	var _AddToParent = __webpack_require__(5);
	
	var _AddToParent2 = _interopRequireDefault(_AddToParent);
	
	var _OverlayContainer = __webpack_require__(2);
	
	var _OverlayContainer2 = _interopRequireDefault(_OverlayContainer);
	
	var _Layer = __webpack_require__(6);
	
	var _Layer2 = _interopRequireDefault(_Layer);
	
	var _ZoomMaxMin = __webpack_require__(18);
	
	var _ZoomMaxMin2 = _interopRequireDefault(_ZoomMaxMin);
	
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	
	exports.default = {
	  mixins: [_LeafletObject2.default, _AddToParent2.default, _OverlayContainer2.default, _Layer2.default, _ZoomMaxMin2.default],
	  props: {
	    url: {
	      type: String,
	      default: null
	    },
	    noWrap: {
	      type: Boolean,
	      default: false
	    }
	  },
	  created: function created() {
	    this.mapLeafletEvents(['loading', 'tileunload', 'tileloadstart', 'tileerror', 'tileload', 'load']);
	  },
	
	  methods: {
	    createLeafletObject: function createLeafletObject() {
	      console.debug("Creating tile layer...");
	      return _leaflet2.default.tileLayer(this.url, {
	        noWrap: this.noWrap,
	        pane: this.pane || 'overlayPane',
	        zIndex: this.zIndex,
	        minZoom: this.minZoom,
	        maxZoom: this.maxZoom,
	        attribution: this.attribution
	      });
	    },
	    setUrl: function setUrl(newVal, oldVal) {
	      if (newVal == oldVal) return;
	      if (this.$lfObj) {
	        this.$lfObj.setUrl(newVal);
	      }
	    }
	  },
	  watch: {
	    url: function url(newVal, oldVal) {
	      this.setUrl(newVal, oldVal);
	    }
	  }
	};

/***/ },
/* 28 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';
	
	Object.defineProperty(exports, "__esModule", {
	  value: true
	});
	
	var _leaflet = __webpack_require__(4);
	
	var _leaflet2 = _interopRequireDefault(_leaflet);
	
	var _LeafletObject = __webpack_require__(1);
	
	var _LeafletObject2 = _interopRequireDefault(_LeafletObject);
	
	var _AddToParent = __webpack_require__(5);
	
	var _AddToParent2 = _interopRequireDefault(_AddToParent);
	
	var _OverlayContainer = __webpack_require__(2);
	
	var _OverlayContainer2 = _interopRequireDefault(_OverlayContainer);
	
	var _Layer = __webpack_require__(6);
	
	var _Layer2 = _interopRequireDefault(_Layer);
	
	var _DivOverlay = __webpack_require__(15);
	
	var _DivOverlay2 = _interopRequireDefault(_DivOverlay);
	
	var _ContentEditable = __webpack_require__(14);
	
	var _ContentEditable2 = _interopRequireDefault(_ContentEditable);
	
	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
	
	exports.default = {
	  mixins: [_LeafletObject2.default, _AddToParent2.default, _OverlayContainer2.default, _Layer2.default, _DivOverlay2.default, _ContentEditable2.default],
	  props: {
	    direction: {
	      type: String,
	      default: 'auto'
	    },
	    permanent: {
	      type: Boolean,
	      default: false
	    },
	    sticky: {
	      type: Boolean,
	      default: false
	    }
	  },
	  methods: {
	    createLeafletObject: function createLeafletObject() {
	      console.debug("Creating tooltip...");
	      return _leaflet2.default.tooltip({
	        offset: this.offset || _leaflet2.default.point(0, 0),
	        pane: this.pane || 'tooltipPane',
	        attribution: this.attribution,
	        direction: this.direction,
	        permanent: this.permanent,
	        sticky: this.sticky
	      }).setContent(this.content);
	    },
	    addToParent: function addToParent(parent) {
	      if (this.$lfObj && parent) {
	        this.$lfParent = parent;
	        if (this.$lfParent.bindTooltip) {
	          this.$lfParent.bindTooltip(this.$lfObj);
	        } else {
	          this.$lfParent.openTooltip(this.$lfObj);
	        }
	      }
	    },
	    removeFromParent: function removeFromParent() {
	      var parentObj = null;
	      if (this.$lfObj && this.$lfParent && (!this.$lfParent.getTooltip || this.$lfParent.getTooltip() === this.$lfObj)) {
	        parentObj = this.$lfParent;
	        if (this.$lfParent.unbindTooltip) {
	          this.$lfParent.unbindTooltip();
	        } else {
	          this.$lfParent.closeTooltip();
	        }
	      }
	      this.$lfParent = null;
	      return parentObj;
	    }
	  }
	};

/***/ },
/* 29 */
/***/ function(module, exports, __webpack_require__) {

	exports = module.exports = __webpack_require__(12)();
	// imports
	
	
	// module
	exports.push([module.id, "", ""]);
	
	// exports


/***/ },
/* 30 */
/***/ function(module, exports, __webpack_require__) {

	exports = module.exports = __webpack_require__(12)();
	// imports
	
	
	// module
	exports.push([module.id, "#map,.map-container{height:100%;width:100%}", ""]);
	
	// exports


/***/ },
/* 31 */
/***/ function(module, exports, __webpack_require__) {

	exports = module.exports = __webpack_require__(12)();
	// imports
	
	
	// module
	exports.push([module.id, ".leaflet-popup-content-wrapper{min-height:1.5rem}", ""]);
	
	// exports


/***/ },
/* 32 */
/***/ function(module, exports, __webpack_require__) {

	var Component = __webpack_require__(3)(
	  /* script */
	  __webpack_require__(19),
	  /* template */
	  __webpack_require__(43),
	  /* scopeId */
	  null,
	  /* cssModules */
	  null
	)
	
	module.exports = Component.exports


/***/ },
/* 33 */
/***/ function(module, exports, __webpack_require__) {

	var Component = __webpack_require__(3)(
	  /* script */
	  __webpack_require__(20),
	  /* template */
	  __webpack_require__(51),
	  /* scopeId */
	  null,
	  /* cssModules */
	  null
	)
	
	module.exports = Component.exports


/***/ },
/* 34 */
/***/ function(module, exports, __webpack_require__) {

	var Component = __webpack_require__(3)(
	  /* script */
	  __webpack_require__(21),
	  /* template */
	  __webpack_require__(48),
	  /* scopeId */
	  null,
	  /* cssModules */
	  null
	)
	
	module.exports = Component.exports


/***/ },
/* 35 */
/***/ function(module, exports, __webpack_require__) {

	
	/* styles */
	__webpack_require__(53)
	
	var Component = __webpack_require__(3)(
	  /* script */
	  __webpack_require__(22),
	  /* template */
	  __webpack_require__(47),
	  /* scopeId */
	  null,
	  /* cssModules */
	  null
	)
	
	module.exports = Component.exports


/***/ },
/* 36 */
/***/ function(module, exports, __webpack_require__) {

	var Component = __webpack_require__(3)(
	  /* script */
	  __webpack_require__(23),
	  /* template */
	  __webpack_require__(44),
	  /* scopeId */
	  null,
	  /* cssModules */
	  null
	)
	
	module.exports = Component.exports


/***/ },
/* 37 */
/***/ function(module, exports, __webpack_require__) {

	var Component = __webpack_require__(3)(
	  /* script */
	  __webpack_require__(24),
	  /* template */
	  __webpack_require__(45),
	  /* scopeId */
	  null,
	  /* cssModules */
	  null
	)
	
	module.exports = Component.exports


/***/ },
/* 38 */
/***/ function(module, exports, __webpack_require__) {

	var Component = __webpack_require__(3)(
	  /* script */
	  __webpack_require__(25),
	  /* template */
	  __webpack_require__(46),
	  /* scopeId */
	  null,
	  /* cssModules */
	  null
	)
	
	module.exports = Component.exports


/***/ },
/* 39 */
/***/ function(module, exports, __webpack_require__) {

	
	/* styles */
	__webpack_require__(54)
	
	var Component = __webpack_require__(3)(
	  /* script */
	  __webpack_require__(26),
	  /* template */
	  __webpack_require__(50),
	  /* scopeId */
	  null,
	  /* cssModules */
	  null
	)
	
	module.exports = Component.exports


/***/ },
/* 40 */
/***/ function(module, exports, __webpack_require__) {

	
	/* styles */
	__webpack_require__(52)
	
	var Component = __webpack_require__(3)(
	  /* script */
	  __webpack_require__(27),
	  /* template */
	  __webpack_require__(42),
	  /* scopeId */
	  null,
	  /* cssModules */
	  null
	)
	
	module.exports = Component.exports


/***/ },
/* 41 */
/***/ function(module, exports, __webpack_require__) {

	var Component = __webpack_require__(3)(
	  /* script */
	  __webpack_require__(28),
	  /* template */
	  __webpack_require__(49),
	  /* scopeId */
	  null,
	  /* cssModules */
	  null
	)
	
	module.exports = Component.exports


/***/ },
/* 42 */
/***/ function(module, exports) {

	module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
	  return _c("div")
	},staticRenderFns: []}

/***/ },
/* 43 */
/***/ function(module, exports) {

	module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
	  return _vm._t("default")
	},staticRenderFns: []}

/***/ },
/* 44 */
/***/ function(module, exports) {

	module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
	  return _c('div', [_vm._t("default")], 2)
	},staticRenderFns: []}

/***/ },
/* 45 */
/***/ function(module, exports) {

	module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
	  return _vm._t("default")
	},staticRenderFns: []}

/***/ },
/* 46 */
/***/ function(module, exports) {

	module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
	  return _vm._t("default")
	},staticRenderFns: []}

/***/ },
/* 47 */
/***/ function(module, exports) {

	module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
	  return _c('div', {
	    staticClass: "map-container"
	  }, [_c('div', {
	    attrs: {
	      "id": "map"
	    }
	  }, [_vm._t("default")], 2)])
	},staticRenderFns: []}

/***/ },
/* 48 */
/***/ function(module, exports) {

	module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
	  return _vm._t("default")
	},staticRenderFns: []}

/***/ },
/* 49 */
/***/ function(module, exports) {

	module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
	  return _c("div")
	},staticRenderFns: []}

/***/ },
/* 50 */
/***/ function(module, exports) {

	module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
	  return _c("div")
	},staticRenderFns: []}

/***/ },
/* 51 */
/***/ function(module, exports) {

	module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
	  return _c("div")
	},staticRenderFns: []}

/***/ },
/* 52 */
/***/ function(module, exports, __webpack_require__) {

	// style-loader: Adds some css to the DOM by adding a <style> tag
	
	// load the styles
	var content = __webpack_require__(29);
	if(typeof content === 'string') content = [[module.id, content, '']];
	if(content.locals) module.exports = content.locals;
	// add the styles to the DOM
	var update = __webpack_require__(13)("663735ce", content, true);
	// Hot Module Replacement
	if(false) {
	 // When the styles change, update the <style> tags
	 if(!content.locals) {
	   module.hot.accept("!!../../node_modules/css-loader/index.js?minimize!../../node_modules/vue-loader/lib/style-rewriter.js?id=data-v-1aa2a308!../../node_modules/vue-loader/lib/selector.js?type=styles&index=0!./TileLayer.vue", function() {
	     var newContent = require("!!../../node_modules/css-loader/index.js?minimize!../../node_modules/vue-loader/lib/style-rewriter.js?id=data-v-1aa2a308!../../node_modules/vue-loader/lib/selector.js?type=styles&index=0!./TileLayer.vue");
	     if(typeof newContent === 'string') newContent = [[module.id, newContent, '']];
	     update(newContent);
	   });
	 }
	 // When the module is disposed, remove the <style> tags
	 module.hot.dispose(function() { update(); });
	}

/***/ },
/* 53 */
/***/ function(module, exports, __webpack_require__) {

	// style-loader: Adds some css to the DOM by adding a <style> tag
	
	// load the styles
	var content = __webpack_require__(30);
	if(typeof content === 'string') content = [[module.id, content, '']];
	if(content.locals) module.exports = content.locals;
	// add the styles to the DOM
	var update = __webpack_require__(13)("27c88fdc", content, true);
	// Hot Module Replacement
	if(false) {
	 // When the styles change, update the <style> tags
	 if(!content.locals) {
	   module.hot.accept("!!../../node_modules/css-loader/index.js?minimize!../../node_modules/vue-loader/lib/style-rewriter.js?id=data-v-67d3fcd5!../../node_modules/vue-loader/lib/selector.js?type=styles&index=0!./Map.vue", function() {
	     var newContent = require("!!../../node_modules/css-loader/index.js?minimize!../../node_modules/vue-loader/lib/style-rewriter.js?id=data-v-67d3fcd5!../../node_modules/vue-loader/lib/selector.js?type=styles&index=0!./Map.vue");
	     if(typeof newContent === 'string') newContent = [[module.id, newContent, '']];
	     update(newContent);
	   });
	 }
	 // When the module is disposed, remove the <style> tags
	 module.hot.dispose(function() { update(); });
	}

/***/ },
/* 54 */
/***/ function(module, exports, __webpack_require__) {

	// style-loader: Adds some css to the DOM by adding a <style> tag
	
	// load the styles
	var content = __webpack_require__(31);
	if(typeof content === 'string') content = [[module.id, content, '']];
	if(content.locals) module.exports = content.locals;
	// add the styles to the DOM
	var update = __webpack_require__(13)("b19f3874", content, true);
	// Hot Module Replacement
	if(false) {
	 // When the styles change, update the <style> tags
	 if(!content.locals) {
	   module.hot.accept("!!../../node_modules/css-loader/index.js?minimize!../../node_modules/vue-loader/lib/style-rewriter.js?id=data-v-b2cd2836!../../node_modules/vue-loader/lib/selector.js?type=styles&index=0!./Popup.vue", function() {
	     var newContent = require("!!../../node_modules/css-loader/index.js?minimize!../../node_modules/vue-loader/lib/style-rewriter.js?id=data-v-b2cd2836!../../node_modules/vue-loader/lib/selector.js?type=styles&index=0!./Popup.vue");
	     if(typeof newContent === 'string') newContent = [[module.id, newContent, '']];
	     update(newContent);
	   });
	 }
	 // When the module is disposed, remove the <style> tags
	 module.hot.dispose(function() { update(); });
	}

/***/ },
/* 55 */
/***/ function(module, exports) {

	/**
	 * Translates the list format produced by css-loader into something
	 * easier to manipulate.
	 */
	module.exports = function listToStyles (parentId, list) {
	  var styles = []
	  var newStyles = {}
	  for (var i = 0; i < list.length; i++) {
	    var item = list[i]
	    var id = item[0]
	    var css = item[1]
	    var media = item[2]
	    var sourceMap = item[3]
	    var part = {
	      id: parentId + ':' + i,
	      css: css,
	      media: media,
	      sourceMap: sourceMap
	    }
	    if (!newStyles[id]) {
	      styles.push(newStyles[id] = { id: id, parts: [part] })
	    } else {
	      newStyles[id].parts.push(part)
	    }
	  }
	  return styles
	}


/***/ }
/******/ ])
});
;
//# sourceMappingURL=leaflet-vue.js.map